WPSCell::Compare::Point Struct Reference

small structure to define a cell point More...

`#include <WPSCell.h>`

## Public Member Functions
| Point (int wh, WPSCell const *cell)
float | getPos (int coord) const
float | getSize (int coord) const

## Public Attributes
int | m_which
WPSCell const * | m_cell

## Detailed Description

small structure to define a cell point

## Constructor & Destructor Documentation

## ◆ Point()

WPSCell::Compare::Point::Point | ( | int | wh,
|  | WPSCell const * | cell )
| inline

## Member Function Documentation

## ◆ getPos()

float WPSCell::Compare::Point::getPos | ( | int | coord | ) | const
| inline

Referenced by WPSCell::Compare::operator()().

## ◆ getSize()

float WPSCell::Compare::Point::getSize | ( | int | coord | ) | const
| inline

## Member Data Documentation

## ◆ m_cell

WPSCell const* WPSCell::Compare::Point::m_cell

Referenced by getPos(), getSize(), WPSCell::Compare::operator()(), and Point().

## ◆ m_which

int WPSCell::Compare::Point::m_which

Referenced by getPos(), WPSCell::Compare::operator()(), and Point().

The documentation for this struct was generated from the following file:

- WPSCell.h